From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-tcltk/snack/
Date: Fri, 27 Sep 2024 21:53:05 +0000 (UTC) [thread overview]
Message-ID: <1727473948.5a08510f2cea7739b59c4575faff6e3b82ba8be3.sam@gentoo> (raw)
commit: 5a08510f2cea7739b59c4575faff6e3b82ba8be3
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 27 21:51:36 2024 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Sep 27 21:52:28 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5a08510f
dev-tcltk/snack: misc tweaks
* Drop Python 3.9 (noop)
* Fix variable order
* Add missing dies
* Pass -std=gnu89 earlier because sed adds CFLAGS literally not as a ref
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-tcltk/snack/snack-2.2.10-r13.ebuild | 36 ++++++++++++++++++---------------
1 file changed, 20 insertions(+), 16 deletions(-)
diff --git a/dev-tcltk/snack/snack-2.2.10-r13.ebuild b/dev-tcltk/snack/snack-2.2.10-r13.ebuild
index 2e42ff833080..5adf4d369e86 100644
--- a/dev-tcltk/snack/snack-2.2.10-r13.ebuild
+++ b/dev-tcltk/snack/snack-2.2.10-r13.ebuild
@@ -3,7 +3,7 @@
EAPI=8
-PYTHON_COMPAT=( python3_{9..12} )
+PYTHON_COMPAT=( python3_{10..12} )
DISTUTILS_USE_PEP517=setuptools
DISTUTILS_OPTIONAL=yes
@@ -12,8 +12,8 @@ inherit distutils-r1 flag-o-matic toolchain-funcs virtualx
DESCRIPTION="The Snack Sound Toolkit (Tcl)"
HOMEPAGE="http://www.speech.kth.se/snack/"
SRC_URI="http://www.speech.kth.se/snack/dist/${PN}${PV}.tar.gz"
-
S="${WORKDIR}/${PN}${PV}/unix"
+
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~arm64 ~hppa ppc sparc x86 ~amd64-linux ~x86-linux ~ppc-macos"
@@ -26,14 +26,17 @@ DEPEND="
dev-lang/tk:0=
alsa? ( media-libs/alsa-lib )
python? ( ${PYTHON_DEPS} )
- vorbis? ( media-libs/libvorbis )"
+ vorbis? ( media-libs/libvorbis )
+"
RDEPEND="${DEPEND}"
-BDEPEND="python? (
- ${PYTHON_DEPS}
- ${DISTUTILS_DEPS}
-)"
+BDEPEND="
+ python? (
+ ${PYTHON_DEPS}
+ ${DISTUTILS_DEPS}
+ )
+"
-REQUIRED_USE=${PYTHON_REQUIRED_USE}
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
PATCHES=(
"${FILESDIR}"/alsa-undef-sym.patch
@@ -55,12 +58,15 @@ src_prepare() {
# adds -install_name (soname on Darwin)
[[ ${CHOST} == *-darwin* ]] && PATCHES+=( "${FILESDIR}"/${P}-darwin.patch )
+ # For Clang 16, bunch of -Wimplicit-int, etc
+ append-flags -std=gnu89
+
sed \
-e "s:ar cr:$(tc-getAR) cr:g" \
-e "s|-O|${CFLAGS}|g" \
-i Makefile.in || die
- cd ..
+ cd .. || die
default
@@ -69,15 +75,12 @@ src_prepare() {
-i generic/jkFormatMP3.c || die
rm tests/{play,record}.test || die
if use python; then
- cd python
+ cd python || die
distutils-r1_src_prepare
fi
}
src_configure() {
- # For Clang 16, bunch of -Wimplicit-int, etc
- append-flags -std=gnu89
-
local myconf=""
use alsa && myconf+=" --enable-alsa"
@@ -92,9 +95,10 @@ src_configure() {
--includedir="${EPREFIX}"/usr/include \
--with-tcl="${EPREFIX}"/usr/$(get_libdir) \
--with-tk="${EPREFIX}"/usr/$(get_libdir) \
- $myconf
+ ${myconf}
+
if use python; then
- cd ../python
+ cd ../python || die
distutils-r1_src_configure
fi
}
@@ -102,7 +106,7 @@ src_configure() {
src_compile() {
default
if use python; then
- cd ../python
+ cd ../python || die
distutils-r1_src_compile
fi
}
next reply other threads:[~2024-09-27 21:53 UTC|newest]
Thread overview: 39+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-09-27 21:53 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-08-30 19:54 [gentoo-commits] repo/gentoo:master commit in: dev-tcltk/snack/ Arthur Zamarin
2023-06-04 16:05 Arthur Zamarin
2023-05-05 10:08 Arthur Zamarin
2023-04-29 8:48 Sam James
2023-04-20 4:02 Sam James
2023-04-19 14:06 Sam James
2023-02-26 18:53 Alfredo Tupone
2023-01-15 20:48 Alfredo Tupone
2022-02-04 20:02 Alfredo Tupone
2022-02-01 18:51 Michał Górny
2021-09-18 16:51 Alfredo Tupone
2021-05-23 10:15 Alfredo Tupone
2021-04-12 18:06 Alfredo Tupone
2021-01-06 22:33 Fabian Groffen
2020-11-05 22:26 Michał Górny
2020-10-18 18:06 Thomas Deutschmann
2020-10-14 9:17 Agostino Sarubbo
2020-09-24 18:15 Sergei Trofimovich
2020-09-24 3:41 Michał Górny
2020-09-21 18:53 Sergei Trofimovich
2020-02-27 8:07 Alfredo Tupone
2019-11-27 21:31 Alfredo Tupone
2019-11-27 20:15 Sergei Trofimovich
2019-11-20 11:27 Agostino Sarubbo
2019-11-20 11:21 Agostino Sarubbo
2019-11-20 7:16 Alfredo Tupone
2019-11-19 12:48 Agostino Sarubbo
2019-11-17 4:18 Matt Turner
2019-11-16 10:34 Sergei Trofimovich
2019-11-15 9:51 Agostino Sarubbo
2019-05-14 19:56 Alfredo Tupone
2018-10-04 17:31 Alfredo Tupone
2017-11-24 22:20 Sergei Trofimovich
2017-03-18 7:33 Michał Górny
2017-02-15 21:55 Michael Weber
2017-01-31 16:06 Jeroen Roovers
2016-10-16 19:31 Pacho Ramos
2016-10-16 17:45 Tobias Klausmann
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1727473948.5a08510f2cea7739b59c4575faff6e3b82ba8be3.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox